> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform action on specified editing session



## OpenAPI

````yaml /api-reference/4.2/service-webapps.json post /webapps/{id}/edits/{sessionId}/action
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps
paths:
  /webapps/{id}/edits/{sessionId}/action:
    post:
      tags:
        - 4.2 Webapps API
      summary: Perform action on specified editing session
      operationId: action
      parameters:
        - name: id
          in: path
          description: Application ID
          required: true
          schema:
            type: string
        - name: sessionId
          in: path
          description: Session ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SessionAction'
        description: JSON-formatted configuration values
      responses:
        default:
          description: successful operation
      deprecated: true
components:
  schemas:
    SessionAction:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          readOnly: true

````